## kbruch 17.12.3

=== src/CMakeLists.txt ===
add_subdirectory( pics ) 

########### next target ###############

include_directories( ${CMAKE_CURRENT_BINARY_DIR} )

set(kbruch_SRCS
   PrimeFactorsLineEdit.cpp
   ExerciseBase.cpp
   Task.cpp
   Ratio.cpp
   TaskView.cpp
   StatisticsView.cpp
   PrimeNumber.cpp
   KBruch.cpp
   MainQtWidget.cpp
   TaskWidget.cpp
   FractionBaseWidget.cpp
   ResultWidget.cpp
   ExerciseCompare.cpp
   ExercisePercentage.cpp
   ExerciseMixedNumbers.cpp
   RatioWidget.cpp
   RationalWidget.cpp
   ExerciseConvert.cpp
   StatisticsBarWidget.cpp
   ExerciseFactorize.cpp
   AppMenuWidget.cpp
   FractionPainter.cpp
   FractionRingWidget.cpp )

ki18n_wrap_ui(kbruch_SRCS taskcolorsbase.ui taskfontsbase.ui)

kconfig_add_kcfg_files(kbruch_SRCS settingsclass.kcfgc )

add_executable(kbruch ${kbruch_SRCS})

target_link_libraries(kbruch
    KF5::ConfigCore
    KF5::ConfigGui
    KF5::Crash
    KF5::I18n
    KF5::WidgetsAddons
    KF5::XmlGui
)

install(TARGETS kbruch  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( PROGRAMS org.kde.kbruch.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES kbruch.kcfg  DESTINATION  ${KDE_INSTALL_KCFGDIR} )
install( FILES kbruchui.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/kbruch )
install( FILES AppMenuWidgetui.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/kbruch )
install( FILES FractionRingWidgetui.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/kbruch )

ecm_install_icons( ICONS 16-apps-kbruch.png 22-apps-kbruch.png 32-apps-kbruch.png 48-apps-kbruch.png 64-apps-kbruch.png sc-apps-kbruch.svgz DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor )

## kbruch 4.7.1

=== debian/changelog ===
kbruch (4:4.7.1-0ubuntu2) oneiric; urgency=low

  * No-change rebuild so translations aren't stripped from .desktop
    files anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 15 Sep 2011 23:13:39 +0200

kbruch (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Fri, 09 Sep 2011 10:10:08 -0400

kbruch (4:4.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * Use wildcard in install file so we do not need to worry about not-installed

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 23 Jul 2011 14:22:58 +0200

kbruch (4:4.6.90+repack-0ubuntu1) oneiric; urgency=low

  * Initial release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 08 Jul 2011 13:24:11 +0200

=== debian/control ===
Source: kbruch
Section: math
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.1),
 cmake, debhelper (>= 7.0.50~), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.7)
Standards-Version: 3.9.1
Homepage: https://projects.kde.org/projects/kde/kdeedu/kbruch
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kbruch
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kbruch

Package: kbruch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fraction learning aid for KDE
 KBruch is an aid for learning how to calculate with fractions.
 .
 This package is part of the KBruch module.

Package: kbruch-dbg
Section: debug
Architecture: any
Breaks: kdeedu-dbg (<< 4:4.6.90)
Replaces: kdeedu-dbg (<< 4:4.6.90)
Depends: ${misc:Depends}, kbruch (= ${binary:Version})
Description: debugging symbols for kbruch
 This package contains debugging files used to investigate problems with
 binaries included in the kbruch module.

## kbruch 4.7.2

=== debian/changelog ===
kbruch (4:4.7.2-1) experimental; urgency=low

  [ Eshat Cakar ]
  * Initial release. Start from the Kubuntu packaging, thanks!

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:43:04 -0300

=== debian/control ===
Source: kbruch
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.7)
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/kde/kdeedu/kbruch
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kbruch.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kbruch.git

Package: kbruch
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4
Description: fraction learning aid for KDE
 KBruch is an aid for learning how to calculate with fractions.
 .
 This package is part of the KDE education module.

Package: kbruch-dbg
Section: debug
Priority: extra
Architecture: any
Breaks: kdeedu-dbg (<< 4:4.6.90)
Replaces: kdeedu-dbg (<< 4:4.6.90)
Depends: ${misc:Depends}, kbruch (= ${binary:Version})
Description: debugging symbols for kbruch
 This package contains debugging files used to investigate problems with
 binaries included in the kbruch module.

## kbruch 4.7.3

=== debian/changelog ===
kbruch (4:4.7.3-0ubuntu0.1) oneiric-proposed; urgency=low

  [ Philip Muškovac ]
  * New  upstream bugfix release (LP: #901975)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 08 Dec 2011 21:41:42 -0500

kbruch (4:4.7.2-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release (LP: #872506)

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Tue, 04 Oct 2011 18:22:06 +0200

=== debian/control ===
Source: kbruch
Section: math
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.3),
 cmake, debhelper (>= 7.0.50~), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.7)
Standards-Version: 3.9.1
Homepage: https://projects.kde.org/projects/kde/kdeedu/kbruch
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kbruch
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kbruch

Package: kbruch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fraction learning aid for KDE
 KBruch is an aid for learning how to calculate with fractions.
 .
 This package is part of the KBruch module.

Package: kbruch-dbg
Section: debug
Architecture: any
Breaks: kdeedu-dbg (<< 4:4.6.90)
Replaces: kdeedu-dbg (<< 4:4.6.90)
Depends: ${misc:Depends}, kbruch (= ${binary:Version})
Description: debugging symbols for kbruch
 This package contains debugging files used to investigate problems with
 binaries included in the kbruch module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kbruch-dbg

## kbruch 4.7.4

=== debian/changelog ===
kbruch (4:4.7.4-1) experimental; urgency=low

  * New upstream release. 
  
  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.4. 

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 18 Dec 2011 01:40:10 +0100

=== debian/control ===
Source: kbruch
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.7)
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/kde/kdeedu/kbruch
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kbruch.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kbruch.git

Package: kbruch
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4
Description: fraction learning aid for KDE
 KBruch is an aid for learning how to calculate with fractions.
 .
 This package is part of the KDE education module.

Package: kbruch-dbg
Section: debug
Priority: extra
Architecture: any
Breaks: kdeedu-dbg (<< 4:4.6.90)
Replaces: kdeedu-dbg (<< 4:4.6.90)
Depends: ${misc:Depends}, kbruch (= ${binary:Version})
Description: debugging symbols for kbruch
 This package contains debugging files used to investigate problems with
 binaries included in the kbruch module.

## kbruch 4.8.2

=== debian/changelog ===
kbruch (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 01 Apr 2012 23:05:25 +0200

kbruch (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 04 Mar 2012 20:09:20 +0100

kbruch (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Jan 2012 12:10:27 +0000

kbruch (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Jan 2012 12:18:25 +0000

kbruch (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 19:06:12 +0100

kbruch (4:4.7.90-0ubuntu2) precise; urgency=low

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Dec 2011 14:17:56 +0000

kbruch (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release
  * Merge with Debian, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 23:46:57 +0000

kbruch (4:4.7.2-0r2) UNRELEASED; urgency=low

  * Initial release. Start from the Kubuntu packaging, thanks!

 -- Eshat Cakar <info@eshat.de>  Fri, 21 Oct 2011 23:59:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: kbruch
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>,
  José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.7)
+ kdelibs5-dev (>= 4:4.8.1)
 Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kbruch
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kbruch.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kbruch.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kbruch
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kbruch
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kbruch.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kbruch.git
 
 Package: kbruch
 Architecture: any

## kbruch 4.8.4

=== debian/changelog ===
kbruch (4:4.8.4-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency to 4.8.4.
  * Bump kdelibs5-dev build dependency to 4.8.
  * Bump Standards-Version to 3.9.3, no changes required.
  * Add watch file.
  * Convert copyright to copyright-format v1.0 and fix/update.
  * Slightly improve the description of kbruch-dbg.
  * Install everything in the destination directory of kbruch,
    instead of using a redundant .install file.

 -- Pino Toscano <pino@debian.org>  Sun, 17 Jun 2012 15:32:07 +0200

kbruch (4:4.7.4-2) unstable; urgency=low

  * Team upload. Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Wed, 07 Mar 2012 15:24:10 +0100

=== debian/control ===
Source: kbruch
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8)
Standards-Version: 3.9.3
Homepage: https://projects.kde.org/projects/kde/kdeedu/kbruch
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kbruch.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kbruch.git

Package: kbruch
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4
Description: fraction learning aid for KDE
 KBruch is an aid for learning how to calculate with fractions.
 .
 This package is part of the KDE education module.

Package: kbruch-dbg
Section: debug
Priority: extra
Architecture: any
Breaks: kdeedu-dbg (<< 4:4.6.90)
Replaces: kdeedu-dbg (<< 4:4.6.90)
Depends: ${misc:Depends}, kbruch (= ${binary:Version})
Description: debugging symbols for kbruch
 This package contains debugging files used to investigate problems with
 kbruch.
 .
 This package is part of the KDE education module.

## kbruch 4.9.2

=== debian/changelog ===
kbruch (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:12:06 +0100

kbruch (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:17:19 +0530

kbruch (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 17:03:00 +0100

kbruch (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.
  * Add kbruch.1 to not-installed as man pages get compressed.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 22:05:51 +0200

kbruch (4:4.8.80-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Jun 2012 13:58:48 +0100

=== debian/control ===
Source: kbruch
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: 
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.9.2)
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/kde/kdeedu/kbruch
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kbruch
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kbruch
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kbruch.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kbruch.git

Package: kbruch
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4
Description: fraction learning aid for KDE
 KBruch is an aid for learning how to calculate with fractions.
 .
 This package is part of the KDE education module.

Package: kbruch-dbg
Section: debug
Priority: extra
Architecture: any
Breaks: kdeedu-dbg (<< 4:4.6.90)
Replaces: kdeedu-dbg (<< 4:4.6.90)
Depends: ${misc:Depends}, kbruch (= ${binary:Version})
Description: debugging symbols for kbruch
 This package contains debugging files used to investigate problems with
 binaries included in the kbruch module.

## kbruch 4.9.3

=== debian/changelog ===
kbruch (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:32:26 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.2)
+ kdelibs5-dev (>= 4:4.9.3)
 Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kbruch
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kbruch

## kbruch 4.10.0

=== debian/changelog ===
kbruch (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:34:04 +0000

kbruch (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:00:54 +0000

kbruch (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:26:38 +0100

kbruch (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:19:15 +0000

kbruch (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:41:46 +0000

kbruch (4:4.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 15:45:28 +0000

kbruch (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:23:35 +0100

kbruch (4:4.7.2-0r2) raring; urgency=low

  * Initial release. Start from the Kubuntu packaging, thanks!

 -- Eshat Cakar <info@eshat.de>  Fri, 21 Oct 2011 23:59:27 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.3)
+ kdelibs5-dev (>= 4:4.10.0)
 Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kbruch
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kbruch

## kbruch 4.10.2

=== debian/changelog ===
kbruch (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:39:12 +0200

kbruch (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release
  * Fix copyright syntax 

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:20:37 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.0)
+ kdelibs5-dev (>= 4:4.10.2)
 Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kbruch
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kbruch

## kbruch 4.10.5

=== debian/changelog ===
kbruch (4:4.10.5-0ubuntu0.1) raring; urgency=low

  * New upstream bugfix release (LP: #1196090)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 10 Jul 2013 22:38:08 +0200

kbruch (4:4.10.3-0ubuntu0.1~ubuntu13.04) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1176358)

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 04 May 2013 18:04:50 +0200

kbruch (4:4.10.2-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:39:12 +0200

kbruch (4:4.10.1-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream bugfix release
  * Fix copyright syntax 

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:20:37 +0000

kbruch (4:4.10.0-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:34:04 +0000

kbruch (4:4.9.98-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:00:54 +0000

kbruch (4:4.9.97-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:26:38 +0100

kbruch (4:4.9.95-0ubuntu1) raring-proposed; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:19:15 +0000

kbruch (4:4.9.90-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:41:46 +0000

kbruch (4:4.9.80-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 15:45:28 +0000

kbruch (4:4.9.3-0ubuntu1) raring-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:23:35 +0100

kbruch (4:4.7.2-0r2) raring-proposed; urgency=low

  * Initial release. Start from the Kubuntu packaging, thanks!

 -- Eshat Cakar <info@eshat.de>  Fri, 21 Oct 2011 23:59:27 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.2)
+ kdelibs5-dev (>= 4:4.10.5)
 Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kbruch
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kbruch

## kbruch 4.11.2

=== debian/changelog ===
kbruch (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:01:29 +0100

kbruch (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:08:14 +0100

kbruch (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:02:15 +0100

kbruch (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:09:53 +0100

kbruch (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:31:59 +0000

kbruch (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:02:17 +0100

kbruch (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 00:51:10 +0100

kbruch (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Jun 2013 23:39:23 +0100

kbruch (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:04:30 +0000

kbruch (4:4.10.2-1) experimental; urgency=low

  * News upstream release.
  * Bump build-deps
  * Update uploaders

 -- Sune Vuorela <sune@debian.org>  Sun, 07 Apr 2013 16:48:22 +0000

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>,
- José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: 
+ Sune Vuorela <sune@debian.org>
+Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.5)
-Standards-Version: 3.9.2
+ kdelibs5-dev (>= 4:4.11.2)
+Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kbruch
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kbruch
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kbruch
@@ -34,4 +34,6 @@
 Depends: ${misc:Depends}, kbruch (= ${binary:Version})
 Description: debugging symbols for kbruch
  This package contains debugging files used to investigate problems with
- binaries included in the kbruch module.
+ kbruch.
+ .
+ This package is part of the KDE education module.

## kbruch 4.12.3

=== debian/changelog ===
kbruch (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:25:39 +0100

kbruch (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 20:29:22 +0100

kbruch (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 23:41:32 +0000

kbruch (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:00:24 +0000

kbruch (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 16:31:03 +0000

kbruch (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 12:37:16 +0000

kbruch (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 17:48:20 +0100

kbruch (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:30:04 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.2)
+ kdelibs5-dev (>= 4:4.12.3)
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kbruch
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kbruch

## kbruch 4.13.0

=== debian/changelog ===
kbruch (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:41:49 +0100

kbruch (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:13:06 +0200

kbruch (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:00:07 +0100

kbruch (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:40:16 +0000

kbruch (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:33:33 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.12.3)
+ kdelibs5-dev (>= 4:4.13.0)
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kbruch
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kbruch

## kbruch 4.14.1

=== debian/changelog ===
kbruch (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 17 Sep 2014 09:44:30 +0200

kbruch (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 22 Aug 2014 20:17:19 +0200

kbruch (4:4.12.3-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:30 +0200

kbruch (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:06:28 +0100

kbruch (4:4.12.2-1) experimental; urgency=medium

  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:34 +0100

kbruch (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Nov 2013 15:23:21 +0100

kbruch (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 16:52:46 +0200

kbruch (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 16:42:07 +0200

kbruch (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 14:30:57 +0200

=== debian/control ===
Source: kbruch
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/kde/kdeedu/kbruch
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kbruch.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kbruch.git

Package: kbruch
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter4
Description: fraction learning aid for KDE
 KBruch is an aid for learning how to calculate with fractions.
 .
 This package is part of the KDE education module.

Package: kbruch-dbg
Section: debug
Priority: extra
Architecture: any
Breaks: kdeedu-dbg (<< 4:4.6.90)
Replaces: kdeedu-dbg (<< 4:4.6.90)
Depends: kbruch (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for kbruch
 This package contains debugging files used to investigate problems with
 kbruch.
 .
 This package is part of the KDE education module.

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/kbruch-([\d.]+).tar.xz

## kbruch 4.14.2

=== debian/changelog ===
kbruch (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 16:40:33 +0200

kbruch (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 04:07:38 -0700

kbruch (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 16:35:23 +0200

kbruch (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:38:08 +0200

kbruch (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:21:28 +0200

kbruch (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 17:33:22 +0200

kbruch (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 17:45:41 +0200

kbruch (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:45:45 +0100

kbruch (4:4.13.0-0ubuntu2) utopic; urgency=medium

  * Merge with debian, no remaining changes

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 05 Jun 2014 17:37:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,22 @@
 Source: kbruch
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.2),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kbruch
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kbruch.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kbruch.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kbruch
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kbruch
+X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kbruch.git
+X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kbruch.git
 
 Package: kbruch
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/kbruch

override_dh_strip:
	$(overridden_command) --dbg-package=kbruch-dbg

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kbruch-([\d\.]*).tar.xz

## kbruch 14.12.3

=== debian/changelog ===
kbruch (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:02:44 -0700

kbruch (4:14.12.2-1) experimental; urgency=medium

  * Prepare Debian release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 17 Feb 2015 11:33:58 +0100

kbruch (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:56:12 -0800

kbruch (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:23:50 +0100

kbruch (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release candidate.
  * Fix watch urls for new release location.
  * Update Vcs urls for the new repository location.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update the maintainer.
  * Recommend khelpcenter instead of khelpcenter4.
  * PPA build

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 28 Nov 2014 21:19:15 +0100

=== debian/control ===
Source: kbruch
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdeedu/kbruch
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kbruch.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kbruch.git

Package: kbruch
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Description: fraction learning aid for KDE
 KBruch is an aid for learning how to calculate with fractions.
 .
 This package is part of the KDE education module.

Package: kbruch-dbg
Section: debug
Priority: extra
Architecture: any
Breaks: kdeedu-dbg (<< 4:4.6.90)
Replaces: kdeedu-dbg (<< 4:4.6.90)
Depends: kbruch (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for kbruch
 This package contains debugging files used to investigate problems with
 kbruch.
 .
 This package is part of the KDE education module.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kbruch-([\d.]+).tar.xz

## kbruch 15.08.2

=== debian/changelog ===
kbruch (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:03:47 +0100

kbruch (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:18:48 +0100

kbruch (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:09:45 +0100

kbruch (4:15.07.90-0ubuntu1) wily; urgency=medium

  * New upstream release
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:36:15 +0100

kbruch (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * wrap-and-sort. 
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 18:40:39 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,15 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
-               pkg-kde-tools (>= 0.12)
+               extra-cmake-modules (>= 1.3.0),
+               kdoctools-dev,
+               libkf5config-dev,
+               libkf5crash-dev,
+               libkf5i18n-dev,
+               libkf5widgetsaddons-dev,
+               libkf5xmlgui-dev,
+               pkg-kde-tools (>= 0.12),
+               qtbase5-dev (>= 5.2.0)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kbruch
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kbruch.git
@@ -29,8 +35,6 @@
 Section: debug
 Priority: extra
 Architecture: any
-Breaks: kdeedu-dbg (<< 4:4.6.90)
-Replaces: kdeedu-dbg (<< 4:4.6.90)
 Depends: kbruch (= ${binary:Version}), ${misc:Depends}
 Description: debugging symbols for kbruch
  This package contains debugging files used to investigate problems with

## kbruch 15.12.3

=== debian/changelog ===
kbruch (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:06:19 -0700

kbruch (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * New upstream release.
  * Debian merge: No remaining changes. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:31:04 +0100

kbruch (4:15.12.0-1~) UNRELEASED; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Dec 2015 16:21:23 +0100

kbruch (4:15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 13:41:10 +0000

kbruch (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:57 +0100

kbruch (4:15.08.2-1) unstable; urgency=medium

  * New upstream release (15.08.2).
  * Remove upstream applied patch: statusbar_menu.patch
  * Remove upstream applied patch: learning_config_toolbar.patch

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:06:59 +0200

kbruch (4:15.08.0-2) unstable; urgency=medium

  * New patch: learning_config_toolbar.patch (Closes: #796200) Thanks to
    Prathibha B
  * New patch: statusbar_menu.patch (Closes: #796199) Thanks to Prathibha B

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 02:45:02 +0200

kbruch (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.04.0).
  * New upstream release (15.04.1).
  * New upstream release (15.08.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Sep 2015 18:42:39 +0200

kbruch (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:13:18 +0200

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 Uploaders: Eshat Cakar <info@eshat.de>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0),
-               kdoctools-dev,
-               libkf5config-dev,
-               libkf5crash-dev,
-               libkf5i18n-dev,
-               libkf5widgetsaddons-dev,
-               libkf5xmlgui-dev,
+               extra-cmake-modules (>= 1.7.0~),
+               kdoctools-dev (>= 5.0.0~),
+               libkf5config-dev (>= 5.0.0~),
+               libkf5crash-dev (>= 5.0.0~),
+               libkf5i18n-dev (>= 5.0.0~),
+               libkf5widgetsaddons-dev (>= 5.0.0~),
+               libkf5xmlgui-dev (>= 5.0.0~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.2.0)
+               qtbase5-dev (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kbruch
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kbruch.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/kbruch

override_dh_strip:
	$(overridden_command) --dbg-package=kbruch-dbg

## kbruch 16.04.3

=== debian/changelog ===
kbruch (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:26:15 +0200

kbruch (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:24:17 +0100

=== debian/control ===
Source: kbruch
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               kdoctools-dev (>= 5.24.0~),
               libkf5config-dev (>= 5.24.0~),
               libkf5crash-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5widgetsaddons-dev (>= 5.24.0~),
               libkf5xmlgui-dev (>= 5.24.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdeedu/kbruch
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbruch
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbruch

Package: kbruch
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Description: fraction learning aid for KDE
 KBruch is an aid for learning how to calculate with fractions.
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --ddeb-migration='kbruch-dbg (<= 4:15.12.1-1~~)'

## kbruch 16.08.3

=== debian/changelog ===
kbruch (4:16.08.3-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 21:04:28 +0100

kbruch (4:16.08.0-1) unstable; urgency=medium

  * New upstream release (16.08.0)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 17 Oct 2016 23:14:39 +0200

kbruch (4:16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Refresh patches
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 May 2016 10:20:30 +0200

=== debian/control ===
Source: kbruch
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7.0~),
               kdoctools-dev (>= 5.15~),
               libkf5config-dev (>= 5.15~),
               libkf5crash-dev (>= 5.15~),
               libkf5doctools-dev (>= 5.15~),
               libkf5i18n-dev (>= 5.15~),
               libkf5widgetsaddons-dev (>= 5.15~),
               libkf5xmlgui-dev (>= 5.15~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/kdeedu/kbruch
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kbruch.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kbruch.git

Package: kbruch
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Description: fraction learning aid for KDE
 KBruch is an aid for learning how to calculate with fractions.
 .
 This package is part of the KDE education module.

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 	$(overridden_command) --destdir=debian/tmp
 
 override_dh_strip:
-	$(overridden_command) --ddeb-migration='kbruch-dbg (<= 4:15.12.1-1~~)'
+	$(overridden_command) --dbgsym-migration='kbruch-dbg (<= 4:15.12.1-1~~)'

## kbruch 16.12.3

=== debian/changelog ===
kbruch (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:25:24 +0000

kbruch (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:14:06 +0000

=== debian/control ===
Source: kbruch
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdeedu/kbruch
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbruch
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbruch

Package: kbruch
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Description: fraction learning aid for KDE
 KBruch is an aid for learning how to calculate with fractions.
 .
 This package is part of the KDE education module.

## kbruch 17.04.3

=== debian/changelog ===
kbruch (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:29:21 +0100
